package cn.iocoder.yudao.module.configure.convert.materialmanagement;

import java.util.*;

import cn.iocoder.yudao.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import cn.iocoder.yudao.module.configure.controller.admin.materialmanagement.vo.*;
import cn.iocoder.yudao.module.configure.dal.dataobject.materialmanagement.MaterialManagementDO;

/**
 * 素材管理 Convert
 *
 * @author 芋道源码
 */
@Mapper
public interface MaterialManagementConvert {

    MaterialManagementConvert INSTANCE = Mappers.getMapper(MaterialManagementConvert.class);

    MaterialManagementDO convert(MaterialManagementCreateReqVO bean);

    MaterialManagementDO convert(MaterialManagementUpdateReqVO bean);

    MaterialManagementRespVO convert(MaterialManagementDO bean);

    List<MaterialManagementRespVO> convertList(List<MaterialManagementDO> list);

    PageResult<MaterialManagementRespVO> convertPage(PageResult<MaterialManagementDO> page);

    List<MaterialManagementDO> convertList02(List<MaterialManagementCreateReqVO> list);

}
